#include <stdio.h>
#include <stdlib.h>
#include <curl/curl.h>

int main()
{
	CURL *curl;
	CURLcode r;
	char url[] = "https://c-for-dummies.com/curl_test.txt";

	/* initialize easy curl */
	curl = curl_easy_init();
		/* always confirm that the CURL pointer
		   returned isn't NULL */
	if( curl == NULL)
	{
		fprintf(stderr,"curl init fail\n");
		exit(1);
	}

	/* set options */
	curl_easy_setopt(curl, CURLOPT_URL, url);

	/* curl */
	r = curl_easy_perform(curl);
		/* Confirm that the operation was successful */
	if( r!=CURLE_OK )
	{
		fprintf(stderr,"Curl fail");
		exit(1);
	}

	/* cleanup */
	curl_easy_cleanup(curl);

	return(0);
}
